> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentwaypoint.md).

# SENTWaypoint

```objectivec
@interface SENTWaypoint : NSObject <NSSecureCoding, NSCopying>
```

### accuracyInMeters

The accuracy in degrees. The value is -1 if accuracy information is not available. You can use `isAccuracySet` to check whether accuracy information is available.

```objectivec
@property (nonatomic, assign, readonly) NSInteger accuracyInMeters;
```

### isAccuracySet

Indicates whether accuracy information is set. If this value is NO, then the accuracy value set to `accuracyInMeters` will be -1.

```objectivec
@property (nonatomic, readonly) BOOL isAccuracySet;
```

### isSpeedSet

Indicates whether speed information is set. If this value is NO, then the speed value set to `speedInMps` will be -1.

```objectivec
@property (nonatomic, readonly) BOOL isSpeedSet;
```

### isSpeedLimitInfoSet

Indicates whether speed limit information is set. If this value is NO, then the speed limit value set to `speedLimitInMps` will be -1.

```objectivec
@property (nonatomic, readonly) BOOL isSpeedLimitSet;
```

### isSpeedLimitUnlimited

Indicates whether the speed limit, if set, is unlimited.

```objectivec
@property (nonatomic, readonly) BOOL isSpeedLimitUnlimited;
```

### isSynthetic

Indicates whether the waypoint is interpolated.

```objectivec
 @property (nonatomic, assign, readonly) BOOL isSynthetic;
```

### latitude

The latitude in degrees.

```objectivec
@property (nonatomic, assign, readonly) CLLocationDegrees latitude;
```

### longitude

The longitude in degrees.

```objectivec
@property (nonatomic, assign, readonly) CLLocationDegrees longitude;
```

### speedInMps

The speed, in meters per second. The value is -1 if speed information is not available. You can use `isSpeedSet` to check whether speed information is available.

```objectivec
@property (nonatomic, assign, readonly) Float32 speedInMps;
```

### speedLimitInMps

The speed limit in the area where this waypoint is present, in meters per second. The value is -1 if speed limit information is not available, and `kSENTSpeedLimitUnlimited` if there is no upper limit to the speed (i.e. unlimited).

You can use `isSpeedLimitInfoSet` to check whether speed limit information is available, and `isSpeedLimitUnlimited` to check whether there is an upper limit.

```objectivec
@property (nonatomic, assign, readonly) Float32 speedLimitInMps;
```

### timestamp

The UTC time of the waypoint, in seconds since epoch (January 1, 1970).

```objectivec
@property (nonatomic, assign, readonly) NSTimeInterval timestamp;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentwaypoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
